WiFi
All operations require authentication.
List the WLANs of the modemProduction
Returns the names of the WiFi networks of the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ wifi \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a WLAN of the modemProduction
Returns the SSID, state, visibility, frequency, channel, security type and key of a WiFi network, and whether it is a guest network.
Path parameters
Service name
Wifi name
Response
Service Set Identifier of the WLAN interface
Hide or show the Wifi
Indicate if frequencies 2.4GHz and 5GHz are agregated
Choice of a channel (When chosen, channelMode is set to Manual)
How the WiFi channel is selected
AutoManualWifi state
Frequency (2.4GHz | 5GHz)
2.4GHz5GHzIndicate if it is normal access wifi or guest wifi
WiFi security key
Type of WLAN security protection
NoneWEPWPAWPA2WPA2andWPA3WPA3WPAandWPA2ID of the ongoing todo (NULL if none)
Name of the Wifi
Example uses serviceName = string, wifiName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ wifi/ {wifiName} \
-H "authorization: Bearer $OVH_TOKEN"{ "SSID": "string", "SSIDAdvertisementEnabled": true, "bandSteering": true, "channel": 0, "channelMode": "Auto", "enabled": true, "frequency": "2.4GHz", "guest": true, "securityKey": "string", "securityType": "None", "taskId": 0, "wifiName": "string"}
Update a WLAN of the modemProduction
Changes the SSID, state, visibility, channel, channel mode, security type or security key of a WiFi network.
Path parameters
Service name
Wifi name
Request body (required)
Service Set Identifier of the WLAN interface
Hide or show the Wifi
Indicate if frequencies 2.4GHz and 5GHz are agregated
Choice of a channel (When chosen, channelMode is set to Manual)
How the WiFi channel is selected
AutoManualWifi state
Frequency (2.4GHz | 5GHz)
2.4GHz5GHzIndicate if it is normal access wifi or guest wifi
WiFi security key
Type of WLAN security protection
NoneWEPWPAWPA2WPA2andWPA3WPA3WPAandWPA2ID of the ongoing todo (NULL if none)
Name of the Wifi
Response
Example uses serviceName = string, wifiName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ wifi/ {wifiName} \
-H "authorization: Bearer $OVH_TOKEN"Get the WiFi QR code of the modemProduction
Returns, as a base64 image, the QR code to connect to the WiFi network of the modem, when the modem supports it.
Path parameters
Service name
Wifi name
Response
Example uses serviceName = string, wifiName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ wifi/ {wifiName}/ qrCode \
-H "authorization: Bearer $OVH_TOKEN""string"
List the WiFi channels of the modemProduction
Returns the WiFi channels the modem of the access can use on the 2.4GHz or 5GHz frequency.
Path parameters
Service name
Query parameters
WLAN frequency you want to retrieve channels
2.4GHz5GHzResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ availableWLANChannel \
-H "authorization: Bearer $OVH_TOKEN"[ 0]